local _, ns = ...

local R, G, B = ns.R, ns.G, ns.B

local function TradeFrame_UpdateTargetItem (id)
	local tradeItemButton, tradeItem = _G['TradeRecipientItem' .. id .. 'ItemButton'], _G['TradeRecipientItem' .. id]
	local tradeItemButtonIsShown, tradeItemIsShown = tradeItemButton and tradeItemButton:IsShown(), tradeItem and tradeItem:IsShown()

	if ( tradeItemButtonIsShown or tradeItemIsShown ) then
		local name, _, _, _, isUsable = GetTradeTargetItemInfo(id)
		if ( name and isUsable and ns:IsKnown(GetTradeTargetItemLink(id)) ) then
			if ( tradeItemButtonIsShown ) then
				SetItemButtonTextureVertexColor(tradeItemButton, R, G, B)
			end
			if ( tradeItemIsShown ) then
				SetItemButtonNameFrameVertexColor(tradeItem, R, G, B)
				SetItemButtonSlotVertexColor(tradeItem, R, G, B)
			end
		end
	end
end

hooksecurefunc('TradeFrame_UpdateTargetItem', TradeFrame_UpdateTargetItem)
if ( TradeFrame:IsShown() ) then for i = 1, MAX_TRADE_ITEMS do TradeFrame_UpdateTargetItem(i) end end
